Richard and I are discussing whether OpenSSL_version() should be deprecated or
not in favour of a new function OPENSSL_info() which does more or less the same
thing. See:

https://github.com/openssl/openssl/pull/7724#discussion_r239067887

Richard's motivation for doing so is that he finds the old name "strongly
misleading". I disagree and prefer not to deprecate functions like this just
because we don't like the name (which eventually will lead to breakage when we
remove the deprecated functions in some future major version (not 3.0.0))

I'd appreciate more input on the discussion.

Matt
_______________________________________________
openssl-project mailing list
openssl-project@openssl.org
https://mta.openssl.org/mailman/listinfo/openssl-project

Reply via email to